Name: H5Sget_select_npoints
Signature:
  hssize_t `H5Sget_select_npoints`(hid_t `space_id`)
Purpose:
  Determines the number of elements in a dataspace selection.
Description:
  `H5Sget_select_npoints` determines the number of elements in the current selection of a dataspace.
Parameters:

hid_t `space_id` | Dataspace identifier.

Returns:
  Returns the number of elements in the selection if successful; otherwise returns a negative value.
Fortran90 Interface: h5sget_select_npoints_f

      SUBROUTINE h5sget_select_npoints_f(space_id, npoints, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: space_id     ! Dataspace identifier
        INTEGER(HSSIZE_T), INTENT(OUT) :: npoints  ! Number of elements in the
                                                   ! selection
        INTEGER, INTENT(OUT) :: hdferr             ! Error code
                                                   ! 0 on success and -1 on failure
      END SUBROUTINE h5sget_select_npoints_f